/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2025-03-16 08:41:32
 * @LastEditors: Kane Wang
 * @LastModified: 2025-03-16 20:00:26
 * @FilePath: src/main/java/com/cpic/xim/huixiabao/web/data/nhs/xyx/HmbXyxInfo.java
 * @Description:
 * 
 *               Copyright (c) 2025 by Kane All rights reserved
 */
package com.cpic.xim.huixiabao.web.data.nhs.xyx;

import java.util.Vector;
import com.fasterxml.jackson.annotation.JsonProperty;

public class HmbXyxInfo
{
    public HmbXyxInfo()
    {
    }

    public HmbXyxInfo( String topic, Vector<HmbXyxInfoItem> hmbList )
    {
        this.topic   = topic;
        this.hmbList = hmbList;
    }

    public String getTopic()
    {
        return topic;
    }

    public void setTopic( String topic )
    {
        this.topic = topic;
    }

    public Vector<HmbXyxInfoItem> getHmbList()
    {
        return hmbList;
    }

    public void setHmbList( Vector<HmbXyxInfoItem> hmbList )
    {
        this.hmbList = hmbList;
    }

    @JsonProperty( "topic" )
    private String topic;

    @JsonProperty( "hmbList" )
    private Vector<HmbXyxInfoItem> hmbList;
}